package speiger.src.coreengine.rendering.textures.simple;

import org.lwjgl.stb.STBImage;

import speiger.src.coreengine.rendering.textures.base.BaseTexture;
import speiger.src.coreengine.rendering.textures.base.TextureMetadata;

public class SimpleTexture extends BaseTexture {
	int width;
	int height;
	long imageData;
	TextureMetadata metadata;
	
	public SimpleTexture(int width, int height, long imageData, TextureMetadata metadata) {
		this.width = width;
		this.height = height;
		this.imageData = imageData;
		this.metadata = metadata;
		loadTexture();
	}

	@Override
	public void reload() {
		
	}
	
	@Override
	public void delete() {
		super.delete();
		if(imageData == 0L) return;
		STBImage.nstbi_image_free(imageData);
		imageData = 0L;
	}
	
	@Override
	public int width() { return width; }
	@Override
	public int height() { return width; }
	
	private void loadTexture() {
		
	}
}
